seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/01/16, 12:50:49


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: qt5-Transition  (Read 2925 times)

0 Members and 1 Guest are viewing this topic.

Offline axt

  • User
  • Posts: 181
    • axebase.net
qt5-Transition
« on: 2018/12/27, 04:22:03 »
Die Transition von qt5 5.11.2 auf .3 will mir gerade das halbe System hinwegraffen - also Obacht!

Look out! A qt5 transition is currently running. Very few packages have been adapted so far.


Offline tranquil

  • User
  • Posts: 47
Re: qt5-Transition
« Reply #1 on: 2018/12/27, 07:20:33 »
Thank you for the heads up...ouch!

Code: [Select]
The following packages were automatically installed and are no longer required:
  kwayland-data libdbusmenu-qt5-2 libkf5auth-data libkf5auth5 libkf5configgui5
  libkf5configwidgets-data libkf5configwidgets5 libkf5crash5 libkf5guiaddons5
  libkf5iconthemes-bin libkf5iconthemes-data libkf5iconthemes5 libkf5idletime5
  libkf5notifications-data libkf5service-bin libkf5service-data libkf5service5
  libkf5wallet-data libkf5waylandclient5 libphonon4qt5-4 libpolkit-qt5-1-1
  libqt5help5 libqt5quick5 libqt5quickwidgets5 libqt5webengine-data phonon4qt5
  phonon4qt5-backend-vlc python3-dbus.mainloop.pyqt5 python3-sip xsane
  xsane-common
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  falkon hplip-gui kwayland-integration libkf5notifications5 libkf5wallet-bin
  libkf5wallet5 libkwalletbackend5-5 libqt5designer5 libqt5positioning5
  libqt5sensors5 libqt5texttospeech5 libqt5waylandclient5 libqt5waylandcompositor5
  libqt5webchannel5 libqt5webenginecore5 libqt5webenginewidgets5 libqt5webkit5
  phantomjs python3-pyqt5 qtwayland5
The following NEW packages will be installed:
  libntfs-3g883
The following packages will be upgraded:
  apt-file exim4-base exim4-config exim4-daemon-light gir1.2-gtksource-3.0
  libel-api-java libgoa-1.0-0b libgoa-1.0-common libgraphene-1.0-0 libgspell-1-1
  libgspell-1-common libgssdp-1.0-3 libgtksourceview-3.0-1
  libgtksourceview-3.0-common libgtkspell3-3-0 libgucharmap-2-90-7 libgupnp-1.0-4
  libhdf5-103 libhdf5-cpp-103 libhdf5-openmpi-103 libpanel-applet3
  libqt5concurrent5 libqt5core5a libqt5dbus5 libqt5gui5 libqt5network5
  libqt5opengl5 libqt5printsupport5 libqt5qml5 libqt5quick5 libqt5quickwidgets5
  libqt5sql5 libqt5sql5-sqlite libqt5svg5 libqt5test5 libqt5widgets5
  libqt5x11extras5 libqt5xml5 libsqlite3-0 ntfs-3g python-numpy
  qt5-gtk-platformtheme sqlite3 task-english task-laptop tasksel tasksel-data
47 upgraded, 1 newly installed, 20 to remove and 0 not upgraded.
Need to get 23.2 MB/23.2 MB of archives.
After this operation, 207 MB disk space will be freed.
Update:  placing qt5-gtk-platformtheme temporarily on hold removes all of the above mess.  Now this is more like it!
Code: [Select]
The following NEW packages will be installed:
  libntfs-3g883
The following packages have been kept back:
  libqt5core5a libqt5dbus5 libqt5gui5 libqt5network5 libqt5opengl5
  libqt5printsupport5 libqt5qml5 libqt5quick5 libqt5quickwidgets5 libqt5sql5
  libqt5sql5-sqlite libqt5svg5 libqt5test5 libqt5widgets5 libqt5x11extras5
  libqt5xml5 qt5-gtk-platformtheme
The following packages will be upgraded:
  apt-file exim4-base exim4-config exim4-daemon-light gir1.2-gtksource-3.0
  libel-api-java libgoa-1.0-0b libgoa-1.0-common libgraphene-1.0-0 libgspell-1-1
  libgspell-1-common libgssdp-1.0-3 libgtksourceview-3.0-1
  libgtksourceview-3.0-common libgtkspell3-3-0 libgucharmap-2-90-7 libgupnp-1.0-4
  libhdf5-103 libhdf5-cpp-103 libhdf5-openmpi-103 libpanel-applet3
  libqt5concurrent5 libsqlite3-0 ntfs-3g python-numpy sqlite3 task-english
  task-laptop tasksel tasksel-data
30 upgraded, 1 newly installed, 0 to remove and 17 not upgraded.
Need to get 11.5 MB/11.6 MB of archives.
After this operation, 526 kB of additional disk space will be used.
« Last Edit: 2018/12/27, 07:42:52 by tranquil »
Dual-booting Debian Stable and Unstable with Openbox window manager and Tint2 panel.

Offline axt

  • User
  • Posts: 181
    • axebase.net
Re: qt5-Transition
« Reply #2 on: 2018/12/27, 15:35:12 »
Quote from: tranquil
placing qt5-gtk-platformtheme temporarily on hold removes all of the above mess.

That alone changes almost nothing here (LXQt, several packages like krusader → Qt based).

If there is one thing you could reasonably set on hold: 

Code: [Select]
apt-mark hold libqt5core5a

But don't forget after the transition!
« Last Edit: 2018/12/27, 16:29:50 by axt »

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.556
    • g-com.eu
Re: qt5-Transition
« Reply #3 on: 2018/12/27, 20:47:06 »
The answer is: Patience.
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 1.827
    • Land of the Buckeye
Re: qt5-Transition
« Reply #4 on: 2018/12/28, 23:13:25 »
Quote from: melmarker
The answer is: Patience.

Yes, it is.  Full-upgrade will now run successfully on KDE/Plasma and LXQt systems. (17:12 U.S. Eastern)
Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO, 2@WD1003FZEX in BTRFS

Offline drb

  • User
  • Posts: 146
Re: qt5-Transition
« Reply #5 on: 2018/12/29, 10:58:52 »
Everything looks good except akonadi-backend-sqlite wants to be removed? Any ideas why?

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.504
  • north of hell south of heaven
Re: qt5-Transition
« Reply #6 on: 2018/12/29, 11:42:37 »
Quote from: drb
Everything looks good except akonadi-backend-sqlite wants to be removed? Any ideas why?

Because of qt transition (50% done)

which also involves



    akonadi-backend-mysql
    akonadi-backend-postgresql
    akonadi-backend-sqlite
    akonadi-server
    libkf5akonadi-data
    libkf5akonadi-dev
    libkf5akonadi-dev-bin
    libkf5akonadiagentbase5
    libkf5akonadicore5abi2
    libkf5akonadiprivate5abi2
    libkf5akonadiserver-dev
    libkf5akonadiwidgets5abi1
    libkf5akonadixml5

debian sid  |  apt into it

siduction d-u warnings

 Dont Break Debian


we are the priests  ...  of the temples of syrinx  ...

Offline drb

  • User
  • Posts: 146
Re: qt5-Transition
« Reply #7 on: 2018/12/29, 12:07:32 »
Thanks! I'll be patient . . .

Offline CCarpenter

  • User
  • Posts: 194
    • http://www.greenvalleyranchschwand.de
Re: qt5-Transition
« Reply #8 on: 2019/01/04, 03:07:22 »
Some updates?

Offline drb

  • User
  • Posts: 146
Re: qt5-Transition
« Reply #9 on: 2019/01/04, 10:17:34 »
Still waiting for akonadi-backend-sqlite update here.

Offline CCarpenter

  • User
  • Posts: 194
    • http://www.greenvalleyranchschwand.de
Re: qt5-Transition
« Reply #10 on: 2019/01/06, 02:58:36 »
Same here ...
Code: [Select]
Die folgenden Pakete werden ENTFERNT:
  akonadi-backend-sqlite libsensors4 libsensors4:i386 mysql-client-5.7
  mysql-client-core-5.7 sensord

Offline vayu

  • User
  • Posts: 200
Re: qt5-Transition
« Reply #11 on: 2019/01/07, 06:15:09 »
I'm still far from being able to upgrade.  I've had 40+ packages set for remove for a long time.

Code: [Select]
The following packages will be REMOVED:
  colord dbus-user-session gvfs gvfs-backends gvfs-daemons gvfs-fuse k3b k3b-i18n kde-plasma-desktop kde-standard kinfocenter
  libmedc1v5 libqapt3-runtime libsensors4 libsensors4:i386 libvirt-daemon-system mariadb-client-10.1 mariadb-client-core-10.1
  mariadb-server-10.1 mariadb-server-core-10.1 muon network-manager network-manager-openconnect network-manager-openvpn
  network-manager-pptp network-manager-vpnc packagekit packagekit-tools plasma-desktop plasma-discover plasma-mediacenter plasma-nm
  plasma-widgets-addons plasma-workspace plasma-workspace-dev policykit-1 polkit-kde-agent-1 rtkit sddm-theme-breeze synaptic
  udisks2

Offline finotti

  • User
  • Posts: 88
Re: qt5-Transition
« Reply #12 on: 2019/01/07, 11:39:11 »
FWIW, all my systems have been upgraded a while ago without removals....
Code: [Select]
$ apt policy akonadi-backend-sqlite
akonadi-backend-sqlite:
  Installed: 4:18.08.1-1+b2
  Candidate: 4:18.08.1-1+b2
  Version table:
 *** 4:18.08.1-1+b2 500
        500 http://httpredir.debian.org/debian sid/main amd64 Packages
        500 http://httpredir.debian.org/debian testing/main amd64 Packages
        100 /var/lib/dpkg/status
I'm pretty sure the qt5 transition is done: https://release.debian.org/transitions/

Offline drb

  • User
  • Posts: 146
Re: qt5-Transition
« Reply #13 on: 2019/01/07, 14:13:47 »
Interesting. I get:
Code: [Select]
apt policy akonadi-backend-sqlite
akonadi-backend-sqlite:
  Installed: 4:18.08.1-1.1
  Candidate: 4:18.08.1-1.1
  Version table:
 *** 4:18.08.1-1.1 500
        500 http://packages.siduction.org/fixes unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     4:18.08.1-1+b2 500
        500 http://http.debian.net/debian unstable/main amd64 Packages
        500 http://http.debian.net/debian testing/main amd64 Packages

Offline finotti

  • User
  • Posts: 88
Re: qt5-Transition
« Reply #14 on: 2019/01/07, 15:52:31 »
What does
Code: [Select]
apt-get -o Debug::pkgProblemResolver=yes dist-upgradesay?